//: C08:CatchBadCast.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
#include <typeinfo>
#include "Security.h"
using namespace std;

int main() {
  Kov m;
  Ceniny& s = m;
  try {
    Investice& c = dynamic_cast<Investice&>(s);
    cout << "Je to  Investice" << endl;
  } catch(bad_cast&) {
    cout << "s není typu Investice" << endl;
  }
  try {
    Obligace& b = dynamic_cast<Obligace&>(s);
    cout << "Je to Obligace" << endl;
  } catch(bad_cast&) {
    cout << "To není typ Obligace" << endl;
  }
} ///:~
